#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           zanshin
Version: 24.08.2
Release:        %mkrel %{rel}
Summary:        Getting Things Done application
License:        GPLv2+ and LGPLv2+
Group:          Graphical desktop/KDE
URL:            https://apps.kde.org/zanshin/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz
# FIXME missing 32bit support for akonadi-calendar
ExclusiveArch:  aarch64 x86_64

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6Runner)
BuildRequires:  cmake(KF6WindowSystem)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6CalendarCore)
BuildRequires:  cmake(KF6Parts)

BuildRequires:  cmake(KPim6Akonadi)
BuildRequires:  cmake(KPim6AkonadiCalendar) >= 5.240
BuildRequires:  cmake(KPim6KontactInterface) >= 5.240

BuildRequires:  gettext

Requires:       akonadi-kde


%description
A Getting Things Done application which aims at getting your
mind like water.

%files -f %{name}.lang
%doc AUTHORS HACKING TODO
%{_kf6_bindir}/%{name}
%{_kf6_bindir}/%{name}-migrator
%{_qt6_plugindir}/pim6/kontact/kontact_zanshinplugin.so
%{_kf6_plugindir}/krunner/org.kde.zanshin.so
%{_qt6_plugindir}/zanshin_part.so
%{_kf6_metainfodir}/org.kde.zanshin.metainfo.xml
%{_kf6_applicationsdir}/org.kde.%{name}.desktop
%{_kf6_iconsdir}/hicolor/*/apps/%{name}.*

#---------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name}


%changelog
* Sun Oct 13 2024 daviddavid <daviddavid> 24.08.2-1.mga10
+ Revision: 2105692
- New version 24.08.2

* Mon Sep 16 2024 daviddavid <daviddavid> 24.08.1-1.mga10
+ Revision: 2097553
- New version 24.08.1

* Thu Aug 22 2024 daviddavid <daviddavid> 24.08.0-1.mga10
+ Revision: 2087745
- New version 24.08.0

* Sat Aug 10 2024 daviddavid <daviddavid> 24.07.90-1.mga10
+ Revision: 2085241
- New version 24.07.90

* Fri Jun 14 2024 daviddavid <daviddavid> 24.05.1-1.mga10
+ Revision: 2073361
- New version 24.05.1

* Wed Jun 05 2024 neoclust <neoclust> 24.05.0-1.mga10
+ Revision: 2070013
- New version 24.05.0

* Thu Apr 18 2024 neoclust <neoclust> 24.02.2-1.mga10
+ Revision: 2058754
- New version 24.02.2

* Wed Feb 28 2024 neoclust <neoclust> 24.02.0-1.mga10
+ Revision: 2045291
- New version 24.02.0

* Tue Feb 06 2024 neoclust <neoclust> 24.01.95-1.mga10
+ Revision: 2037790
- New version 24.01.95

* Tue Jan 23 2024 neoclust <neoclust> 24.01.90-1.mga10
+ Revision: 2033912
- New version 24.01.90

* Mon Jan 01 2024 neoclust <neoclust> 24.01.85-1.mga10
+ Revision: 2025289
- New version 24.01.85

* Tue Nov 21 2023 daviddavid <daviddavid> 24.01.75-1.mga10
+ Revision: 2008624
- New version 24.01.75
- switch to Qt6/KF6

* Fri Sep 29 2023 neoclust <neoclust> 23.08.1-1.mga10
+ Revision: 1992177
- New version 23.08.1

* Sat Sep 23 2023 daviddavid <daviddavid> 23.04.1-2.mga10
+ Revision: 1989437
- add missing dependency on akonadi-kde

* Mon May 29 2023 neoclust <neoclust> 23.04.1-1.mga9
+ Revision: 1959595
- New version 23.04.1

* Thu Mar 02 2023 neoclust <neoclust> 22.12.3-1.mga9
+ Revision: 1946616
- New version 22.12.3

* Tue Feb 14 2023 neoclust <neoclust> 22.12.2-1.mga9
+ Revision: 1941909
- New version 22.12.2

* Thu Dec 15 2022 neoclust <neoclust> 22.12.0-1.mga9
+ Revision: 1923031
- New version 22.12.0

* Wed Nov 30 2022 neoclust <neoclust> 22.11.90-1.mga9
+ Revision: 1913294
- New version 22.11.90

* Thu Nov 10 2022 neoclust <neoclust> 22.08.3-1.mga9
+ Revision: 1905376
- New version 22.08.3

* Sun Sep 11 2022 neoclust <neoclust> 22.08.1-1.mga9
+ Revision: 1886900
- New version 22.08.1

* Fri Sep 02 2022 neoclust <neoclust> 22.08.0-1.mga9
+ Revision: 1883479
- New version 22.08.0

* Sat Jul 30 2022 neoclust <neoclust> 22.04.3-1.mga9
+ Revision: 1873191
- New version 22.04.3

* Tue Apr 26 2022 neoclust <neoclust> 22.04.0-1.mga9
+ Revision: 1854081
- New version 22.04.0

* Thu Apr 14 2022 neoclust <neoclust> 22.03.90-1.mga9
+ Revision: 1849588
- New version 22.03.90

* Sun Jan 02 2022 neoclust <neoclust> 21.12.0-1.mga9
+ Revision: 1766084
- New version 21.12.0

* Fri Mar 05 2021 daviddavid <daviddavid> 0.5.71-3.20200805.3.mga9
+ Revision: 1699469
- update BRs, remove no more needed kdelibs4support

* Thu Dec 17 2020 umeabot <umeabot> 0.5.71-3.20200805.2.mga8
+ Revision: 1660338
- Rebuild for new Qt5

* Fri Oct 23 2020 akien <akien> 0.5.71-3.20200805.1.mga8
+ Revision: 1638860
- Git snapshot from 20200805, fixes build

* Thu May 28 2020 daviddavid <daviddavid> 0.5.71-3.mga8
+ Revision: 1588533
- switch appdata file to kf5_metainfo dir

* Wed Feb 19 2020 umeabot <umeabot> 0.5.71-2.mga8
+ Revision: 1544545
- Mageia 8 Mass Rebuild

* Sun Jan 26 2020 daviddavid <daviddavid> 0.5.71-1.mga8
+ Revision: 1483237
- new version: 0.5.71
+ wally <wally>
- build with new cmake macros

* Fri Aug 23 2019 daviddavid <daviddavid> 0.5.0-5.mga8
+ Revision: 1431454
- add patch to add missing KF5::AkonadiContact call

* Tue Apr 02 2019 umeabot <umeabot> 0.5.0-4.mga7
+ Revision: 1385348
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 3.mga7-current
+ Revision: 1302033
- Mageia 7 Mass Rebuild

* Mon Apr 02 2018 neoclust <neoclust> 0.5.0-2.mga7
+ Revision: 1214770
- Rebuild against new kde applications

* Sat Jan 20 2018 daviddavid <daviddavid> 0.5.0-1.mga7
+ Revision: 1195071
- new version: 0.5.0
- now translations are available upstream

* Wed Sep 28 2016 neoclust <neoclust> 0.4.1-2.mga6
+ Revision: 1057480
- Do not build on armv5tl

* Wed Sep 14 2016 akien <akien> 0.4.1-1.mga6
+ Revision: 1052600
- Version 0.4.1

* Sat Apr 23 2016 akien <akien> 0.4.0-1.mga6
+ Revision: 1005612
- Version 0.4.0

* Sun Jan 24 2016 akien <akien> 0.3.1-1.git20160123.1.mga6
+ Revision: 927014
- KF5 version based on a git snapshot (unstable)

* Wed Oct 15 2014 umeabot <umeabot> 0.2.1-7.mga5
+ Revision: 744304
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.1-6.mga5
+ Revision: 690853
- Mageia 5 Mass Rebuild

* Wed Mar 12 2014 akien <akien> 0.2.1-5.mga5
+ Revision: 602613
- Add missing Requires on kdepim4-kresources, kdepimlib4-core and akonadi-kde

* Sat Oct 19 2013 umeabot <umeabot> 0.2.1-4.mga4
+ Revision: 529649
- Mageia 4 Mass Rebuild

* Wed Apr 10 2013 barjac <barjac> 0.2.1-3.mga4
+ Revision: 409441
- rebuild for boost-1.53

* Mon Jan 14 2013 umeabot <umeabot> 0.2.1-2.mga3
+ Revision: 387657
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Mar 04 2012 juancho <juancho> 0.2.1-1.mga2
+ Revision: 217754
- Added missing BR libboost-devel
- Updated to 0.2.1

* Thu Dec 01 2011 mikala <mikala> 0.2.0-1.mga2
+ Revision: 174665
- Update tarball to 0.2.0

* Tue Oct 11 2011 mikala <mikala> 0.2-0.rc1.2.mga2
+ Revision: 153904
- Add translations (SOURCE1) using neoclust's script for digikam
- add patch1 to enable translation compilation
- don't own %%{_kde_services}/kontact/

* Tue Oct 11 2011 mikala <mikala> 0.2-0.rc1.1.mga2
+ Revision: 153764
- imported package zanshin

